Checking connection...

Yesterday's service disruption due to emergency patching

17 February 2016  NEWS

Less than 24 hours ago Google disclosed a vulnerability in glibc, a software library used by many Linux programs. The vulnerability likely affects a large portion of the world's servers, can be exploited remotely, and can be used to gain full control of a server.

Mullvad was alerted to the vulnerability shortly after Google's announcement and immediately started investigating the impact. Plans for mitigations were made, and all affected servers were patched and rebooted. Thanks to our dedicated team of server engineers the issue was swiftly investigated and dealt with.

We always try to patch our servers in such a way to not affect our users, but incidents such as this one require immediate action. We apologize for any service disruption this may have caused. Your security and privacy is our highest priority.